/*
  SPI library for Linux

  Copyright (c) 2020 Sasapea's Lab. All right reserved.

  System Setting:

    [Oraneg Pi Zero][/boot/armbianEnv.txt]
    overlays=... [spi-add-cs1] spi-spidev ...
    param_spidev_spi_bus=1
    param_spidev_max_freq=1000000 (optinal. default: 1000000, Range: 3000 - 100000000)
    [param_spidev_spi_cs=0 or 1 (optional. default: 0)]

    /dev/spidev${param_spidev_spi_bus}.${param_spidev_spi_cs}

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "SPI.h"

SPIClass SPI("/dev/spidev0.0");
SPIClass SPI1("/dev/spidev0.1");
SPIClass SPI2("/dev/spidev1.0");
SPIClass SPI3("/dev/spidev1.1");

