/*
  W1GPIO.h OneWire library for Linux(w1-gpio)

  Copyright (c) 2020 Sasapea's Lab. All right reserved.

  System Setting:
    [/boot/armbianEnv.txt]
    overlay = ... w1-gpio ...
    param_w1_pin=PA10
    param_w1_pin_int_pullup=1

  Referrence:
    https://www.kernel.org/doc/html/latest/w1/slaves/index.html

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
#include "W1GPIO.h"

W1GPIO W1;

