/* Tone.cpp

  A Tone Generator Library

  Copyright (c) 2020 Sasapea's Lab. All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
#include <stdlib.h>
#include <string.h>
#include "Arduino.h"
#include "PWMCTRL.h"

void tone(uint16_t pin, unsigned int frequency, unsigned long duration)
{
  PWM.begin(pin, frequency, PWM_DUTY_50, duration);
}

void noTone(uint16_t pin)
{
  PWM.end(pin);
}

